# Uses of Class
org.apache.qpid.proton.engine.impl.LinkImpl

Packages that use LinkImpl
Package
Description
org.apache.qpid.proton.engine.impl

## Uses of LinkImpl in org.apache.qpid.proton.engine.impl

Subclasses of LinkImpl in org.apache.qpid.proton.engine.impl
Modifier and Type
Class
Description
`class`
`ReceiverImpl`
`class`
`SenderImpl`
Methods in org.apache.qpid.proton.engine.impl that return LinkImpl
Modifier and Type
Method
Description
`LinkImpl`
DeliveryImpl.`getLink()`
Methods in org.apache.qpid.proton.engine.impl that return types with arguments of type LinkImpl
Modifier and Type
Method
Description
`protected org.apache.qpid.proton.engine.impl.LinkNode<LinkImpl>`
ConnectionImpl.`addLinkEndpoint(LinkImpl endpoint)`
Methods in org.apache.qpid.proton.engine.impl with parameters of type LinkImpl
Modifier and Type
Method
Description
`protected org.apache.qpid.proton.engine.impl.LinkNode<LinkImpl>`
ConnectionImpl.`addLinkEndpoint(LinkImpl endpoint)`